Skip to main content
`Ctrl`+`K`

# PetscDrawViewPortsCreateRect

Splits a window into smaller view ports. Each processor shares all the viewports. The number of views in the x- and y-directions is specified.

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawViewPortsCreateRect(PetscDraw draw, PetscInt nx, PetscInt ny, PetscDrawViewPorts *newports[])

Collective

## Input Parameters

- draw - the drawing context

- nx - the number of x divisions

- ny - the number of y divisions

## Output Parameter

- newports - a `PetscDrawViewPorts` context (C structure)

## Fortran Note

No Fortran support since `PetscDrawViewPorts` is a C struct

## See Also

`PetscDrawSplitViewPort()`, `PetscDrawSetViewPort()`, `PetscDrawViewPortsSet()`, `PetscDrawViewPortsDestroy()`, `PetscDrawViewPorts`

## Level

advanced

## Location

src/sys/classes/draw/interface/dviewp.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages